<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" omit-xml-declaration="yes"/>
  <xsl:strip-space elements="item" />
  <xsl:param name="this_page" />
  <xsl:template match="items">
    <xsl:for-each select="//item[link = $this_page]">
      <xsl:call-template name="children" />
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="children">
    <dl class="children">
      <xsl:for-each select="item">
        <xsl:choose>
          <xsl:when test="item = 'utility'"></xsl:when>
          <xsl:otherwise>
            <dt>
              <a>
              <xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute>
              <xsl:value-of select="title" /></a></dt>
            <dd><xsl:value-of select="description" /></dd>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:for-each>
    </dl>
  </xsl:template>
</xsl:stylesheet>